Ruby on Windows: LIBMYSQL.DLL

Megint egy… ennek a sorozatnak sosincs vege?

Szoval, ha olyan uzeneteket kapnal, hogyaszongya:

 ArgumentError in <%= controller.class %>#index

NULL pointer given

Akkor beleszaladtal abba, hogy a gem-kent csomagolt 2.7.3-as mysql.so lib csak a 5.0-as libmysql.dll-lel hajlamos egyutmukodni korrektul. Innet szerezheted meg jol, arra kell ugyelni, hogy a klienseknel nem eleg csak a commandline klienst (mysql.exe) kijelolni, hanem az other tools-t is ki kell, akkor lesz libmysql.dll amit be lehet masolni a ruby bin mappajaba.

Forras: Railsforum: mysql driver not working with Rails 2.0.2

Comments